<?php

class formWidgetSplitpicOptions extends cmsForm{
    
    public function init() {
        return array( 

            array(
                'type' => 'fieldset',
                'title' => 'Настройки слайдера',
                'childs' => array(
                new fieldString('options:id', array(
                    'title' => 'Идентификатор виджета',
                    'hint' => 'Уникальный ID из латинских букв. Например block1'
                    )),    
                new fieldImage('options:img_one', array(
                    'title' => 'Первое изображение',
                    'options' => array('sizes' => array('original'))
                    )),
                new fieldImage('options:img_two', array(
                    'title' => 'Второе изображение',
                    'options' => array('sizes' => array('original'))
                    )),
                new fieldNumber('options:view_procent', array(
                    'title' => 'Сколько показывать "изображение до" в процентах (максимально 1) сразу после загрузки страницы',
                    'units' => '%',
                    'default' => '0,5'
                    )),
                new fieldList('options:orient', array(
                    'title' => 'Ориентация слайдера',
                    'items' => array(
                        'horizontal' => 'Горизонтально',
                        'vertical' => 'Вертикально'
                    ),
                    'default' => 'horizontal'
                    )),
                new fieldList('options:no_overlay', array(
                    'title' => 'Не показывать затемнение с надписями "до" и "после"',
                    'items' => array(
                        'false' => 'Показывать',
                        'true' => 'Не показывать'
                    ),
                    'default' => true
                    )),
                new fieldString('options:before', array(
                    'title' => 'Надпись "ДО"',
                    'default' => 'ДО',
                    'visible_depend' => array('options:no_overlay' => array('show' => array('false')))
                    )),
                new fieldString('options:after', array(
                    'title' => 'Надпись "ПОСЛЕ"',
                    'default' => 'ПОСЛЕ',
                    'visible_depend' => array('options:no_overlay' => array('show' => array('false')))
                    )),
                new fieldList('options:move_slider_on_hover', array(
                    'title' => 'Двигать "бегунок" слайдера вместе с курсором мыши',
                    'items' => array(
                        'true' => 'Да',
                        'false' => 'Нет'
                    ),
                    'default' => false,
                    'hint' => 'Если выбрано значение "ДА", то оверлей с надписями "ДО" и "ПОСЛЕ" отключается автоматически'
                    )),
                new fieldList('options:move_with_handle_only', array(
                    'title' => 'Двигать слайдер только за его "бегунок"',
                    'items' => array(
                        'true' => 'Да',
                        'false' => 'Нет'
                    ),
                    'default' => true
                    )),
                new fieldList('options:click_to_move', array(
                    'title' => 'Разрешить перемещение "бегунка" слайдера по клику на изображении',
                    'items' => array(
                        'true' => 'Да',
                        'false' => 'Нет'
                    ),
                    'default' => false
                    )),
                    )
                )
                );
            }
            
        }