<style>
.banner-user {
    background-image: url("/upload/<?php echo html_image_src($profile['cover'], $size_preset='original', $is_add_host=false, $is_relative=true) ?>");
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 8px;
    padding: 180px 35px 35px 50px;
    position: relative;
    margin-bottom: 30px;
    z-index: 1;
}
.banner-user-online {
text-align: center;
display: inline-block;
height: 18px;
width: 18px;
line-height: 18px;
background-color: #17dd17;
border-radius: 50%;
position: absolute;
top: 8px;
right: -22px;
}
.banner-user-offline {
text-align: center;
display: inline-block;
height: 18px;
width: 18px;
line-height: 18px;
background-color: #E30000;
border-radius: 50%;
position: absolute;
top: 8px;
right: -22px;
}
</style>
<?php $this->addCSS('templates/modern/controllers/users/user-head.css'); ?>
<?php $this->addTplJSName('users'); ?>
<?php $user = cmsUser::getInstance(); ?>

<?php if ($this->controller->options['is_status'] && $profile['id'] == $user->id) { ?>
    <?php ob_start(); ?>
        <script><?php echo $this->getLangJS('LANG_REPLY', 'LANG_USERS_DELETE_STATUS_CONFIRM'); ?></script>
    <?php $this->addBottom(ob_get_clean()); ?>
    <div id="user_status_widget">
        <?php
            echo html_input('text', 'status', '', array(
                'maxlength' => 140,
                'class' => 'form-control-sm mt-2',
                'placeholder' => sprintf(LANG_USERS_WHAT_HAPPENED, $profile['nickname']),
                'data-url' => $this->href_to('status'),
                'data-user-id' => $profile['id']
            ));
        ?>
    </div>
<?php } ?>

<?php if (!isset($is_can_view) || $is_can_view){ ?>

<?php if (empty($tabs)){ $tabs = $this->controller->getProfileMenu($profile); } ?>

<?php if (count($tabs)>1){ ?>

    <?php $this->addMenuItems('profile_tabs', $tabs); ?>

    <?php $this->menu('profile_tabs', true, 'icms-profile__tabs nav nav-tabs my-3', $this->controller->options['max_tabs']); ?>

    <?php
    $this->addTplJSNameFromContext('vendors/slick/slick.min');
    $this->addTplCSSNameFromContext('slick');
    ob_start();
    ?>
    <script>
        icms.menu.initSwipe('.icms-profile__tabs', {variableWidth: true, initialSlide: $('.icms-profile__tabs > li.is-active').index()});
    </script>
    <?php $this->addBottom(ob_get_clean()); ?>

<?php } ?>

<?php } ?>

<div id="user_profile_title" class="d-flex align-items-center">

            <div class = "container">
                <div class="banner-user">
                    <div class="banner-content">
                        <div class="media">
                            <div class="item-img">
                                <?php echo html_avatar_image($profile['avatar'], $fields['avatar']['options']['size_full'], $profile['nickname']); ?>
                            </div>
                            <div class="media-body">
                                <h3 class="item-title"><?php echo ($profile['nickname']); ?><?php if (!empty($profile['is_online'])) { echo '<span class="banner-user-online"></span>'; } else { echo '<span class="banner-user-offline"></span>'; } ?></h3>
                                
                                <div class="item-subtitle">
                                <?php if ($profile['status']) { ?>
                                    <?php html($profile['status']['content']); ?>
                                <?php } ?>
                                </div>
                                <ul class="user-meta">
                                    <li>Рейтинг: <span><?php echo ($profile['rating']); ?></span></li>
                                    <li>Карма: <span><?php echo($profile['karma']); ?></span></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        <div class="name flex-fill<?php if (!empty($profile['status'])){ ?> name_with_status<?php } ?>">
    
        </div>
</div>


